org.apache.tools.ant.taskdefs.optional.perforce

## Class P4Label

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.perforce.P4Base
      - - org.apache.tools.ant.taskdefs.optional.perforce.P4Label

All Implemented Interfaces:
  java.lang.Cloneable

    public class P4Label
    extends P4Base

Creates a new Perforce label and set contents to reflect current client file revisions. Label name defaults to AntLabel if none set. Example Usage:

       <P4Label name="MyLabel-${TSTAMP}-${DSTAMP}" desc="Auto Build Label" />

### Field Summary

Fields
`protected java.lang.String` `desc`
`protected java.lang.String` `lock`
`protected java.lang.String` `name`

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`P4Label()`

### Method Summary

Methods
`void` `execute()` do the work
`void` `setDesc(java.lang.String desc)` Label Description; optional
`void` `setLock(java.lang.String lock)` when set to "locked", Perforce will lock the label once created; optional.
`void` `setName(java.lang.String name)` The name of the label; optional, default "AntLabel"

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

`execP4Command, execP4Command, getErrorMessage, getInError, init, setClient, setCmdopts, setErrorMessage, setFailonerror, setGlobalopts, setInError, setPort, setUser, setView`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

#### desc

    protected java.lang.String desc

#### lock

    protected java.lang.String lock

### Constructor Detail

#### P4Label

    public P4Label()

### Method Detail

#### setName

    public void setName(java.lang.String name)

The name of the label; optional, default "AntLabel"

Parameters:
  `name` - the name of the label

#### setDesc

    public void setDesc(java.lang.String desc)

Label Description; optional

Parameters:
  `desc` - description of the label

#### setLock

    public void setLock(java.lang.String lock)

when set to "locked", Perforce will lock the label once created; optional.

Parameters:
  `lock` - only admissible value "locked"

#### execute

    public void execute()
                 throws BuildException

do the work

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if failonerror has been set to true and Perforce fails